MyGUI: MyGUI::xml::Document Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::xml::Document Class Reference

`#include <MyGUI_XmlDocument.h>`

## Public Member Functions
| Document ()
| ~Document ()
bool | open (const std::string &_filename)
bool | open (const std::wstring &_filename)
bool | open (std::istream &_stream)
bool | open (const UString &_filename)
bool | open (IDataStream *_data)
bool | save (const std::string &_filename)
bool | save (const std::wstring &_filename)
bool | save (std::ostream &_stream)
bool | save (const UString &_filename)
void | clear ()
std::string | getLastError () const
void | clearLastError ()
ElementPtr | createDeclaration (const std::string &_version="1.0", const std::string &_encoding="UTF-8")
ElementPtr | createRoot (const std::string &_name)
ElementPtr | getRoot () const
ElementPtr | createInfo (const std::string &_version="1.0", const std::string &_encoding="UTF-8")

## Detailed Description

Definition at line 283 of file MyGUI_XmlDocument.h.

## Constructor & Destructor Documentation

## ◆ Document()

MyGUI::xml::Document::Document | ( |  | ) |

Definition at line 385 of file MyGUI_XmlDocument.cpp.

## ◆ ~Document()

MyGUI::xml::Document::~Document | ( |  | ) |

Definition at line 394 of file MyGUI_XmlDocument.cpp.

## Member Function Documentation

## ◆ clear()

void MyGUI::xml::Document::clear | ( |  | ) |

Definition at line 560 of file MyGUI_XmlDocument.cpp.

## ◆ clearLastError()

void MyGUI::xml::Document::clearLastError | ( |  | ) |

Definition at line 937 of file MyGUI_XmlDocument.cpp.

## ◆ createDeclaration()

ElementPtr MyGUI::xml::Document::createDeclaration | ( | const std::string & | _version = "1.0",
|  | const std::string & | _encoding = "UTF-8" )

Definition at line 848 of file MyGUI_XmlDocument.cpp.

## ◆ createInfo()

ElementPtr MyGUI::xml::Document::createInfo | ( | const std::string & | _version = "1.0",
|  | const std::string & | _encoding = "UTF-8" )
| inline

Deprecated
  "use : ElementPtr Document::createDeclaration(const std::string& _version, const std::string& _encoding)"

Definition at line 327 of file MyGUI_XmlDocument.h.

## ◆ createRoot()

ElementPtr MyGUI::xml::Document::createRoot | ( | const std::string & | _name | ) |

Definition at line 857 of file MyGUI_XmlDocument.cpp.

## ◆ getLastError()

std::string MyGUI::xml::Document::getLastError | ( |  | ) | const

Definition at line 919 of file MyGUI_XmlDocument.cpp.

## ◆ getRoot()

ElementPtr MyGUI::xml::Document::getRoot | ( |  | ) | const

Definition at line 942 of file MyGUI_XmlDocument.cpp.

## ◆ open() [1/5]

bool MyGUI::xml::Document::open | ( | const std::string & | _filename | ) |

Definition at line 400 of file MyGUI_XmlDocument.cpp.

## ◆ open() [2/5]

bool MyGUI::xml::Document::open | ( | const std::wstring & | _filename | ) |

Definition at line 419 of file MyGUI_XmlDocument.cpp.

## ◆ open() [3/5]

bool MyGUI::xml::Document::open | ( | const UString & | _filename | ) |

Definition at line 927 of file MyGUI_XmlDocument.cpp.

## ◆ open() [4/5]

bool MyGUI::xml::Document::open | ( | IDataStream * | _data | ) |

Definition at line 496 of file MyGUI_XmlDocument.cpp.

## ◆ open() [5/5]

bool MyGUI::xml::Document::open | ( | std::istream & | _stream | ) |

Definition at line 437 of file MyGUI_XmlDocument.cpp.

## ◆ save() [1/4]

bool MyGUI::xml::Document::save | ( | const std::string & | _filename | ) |

Definition at line 448 of file MyGUI_XmlDocument.cpp.

## ◆ save() [2/4]

bool MyGUI::xml::Document::save | ( | const std::wstring & | _filename | ) |

Definition at line 472 of file MyGUI_XmlDocument.cpp.

## ◆ save() [3/4]

bool MyGUI::xml::Document::save | ( | const UString & | _filename | ) |

Definition at line 932 of file MyGUI_XmlDocument.cpp.

## ◆ save() [4/4]

bool MyGUI::xml::Document::save | ( | std::ostream & | _stream | ) |

Definition at line 540 of file MyGUI_XmlDocument.cpp.

The documentation for this class was generated from the following files:

- MyGUI_XmlDocument.h
- MyGUI_XmlDocument.cpp